Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.security.management
Enum IdentityStore.Feature

    java.lang.Object
      java.lang.Enum<IdentityStore.Feature>
          org.jboss.seam.security.management.IdentityStore.Feature

All Implemented Interfaces:
  Serializable, Comparable<IdentityStore.Feature>

Enclosing interface:
  IdentityStore

    public static enum IdentityStore.Feature

extends Enum<IdentityStore.Feature>

Enum Constant Summary
`changePassword`
`createRole`
`createUser`
`deleteRole`
`deleteUser`
`disableUser`
`enableUser`
`grantRole`
`revokeRole`

Method Summary
`static IdentityStore.Feature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IdentityStore.Feature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### createUser

    public static final IdentityStore.Feature createUser

### deleteUser

    public static final IdentityStore.Feature deleteUser

### enableUser

    public static final IdentityStore.Feature enableUser

### disableUser

    public static final IdentityStore.Feature disableUser

### changePassword

    public static final IdentityStore.Feature changePassword

### createRole

    public static final IdentityStore.Feature createRole

### deleteRole

    public static final IdentityStore.Feature deleteRole

### grantRole

    public static final IdentityStore.Feature grantRole

### revokeRole

    public static final IdentityStore.Feature revokeRole

Method Detail

### values

    public static IdentityStore.Feature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IdentityStore.Feature c : IdentityStore.Feature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IdentityStore.Feature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.